<?php
class capacity
{

	public static function folderSize($dir){
		$size = 0;
		foreach (glob(rtrim($dir, '/').'/*', GLOB_NOSORT) as $each) {
			$size += is_file($each) ? filesize($each) : capacity::folderSize($each);
		}
		return $size;
	}

	public static function inject()
	{

		$usage = round(capacity::folderSize(getcwd()) / (rex_addon::get('capacity')->getConfig('space')*1048576) *100,2);

		switch(true) {
			case in_array(round($usage), range(0,20)):
				$battery = '0';
				break;
			case in_array(round($usage), range(21,40)):
				$battery = '1';
				break;
			case in_array(round($usage), range(41,60)):
				$battery = '2';
				break;
			case in_array(round($usage), range(61,80)):
				$battery = '3';
				break;
			case in_array(round($usage), range(81,100)):
				$battery = '4';
				break;
			default:
				$battery = '3';
				break;
		}

		echo "
		<script>
		$('li#rex-navi-page-capacity a i.rex-icon').removeClass('fa-battery-three-quarters');
		$('li#rex-navi-page-capacity a i.rex-icon').addClass('fa-battery-".$battery."');
		</script>
		";

	}

}
